Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfbox.pdmodel.graphics.color
Class PDSeparation

    java.lang.Object
      org.pdfbox.pdmodel.graphics.color.PDColorSpace
          org.pdfbox.pdmodel.graphics.color.PDSeparation

All Implemented Interfaces:
  COSObjectable

public class PDSeparation
extends PDColorSpace

This class represents a Separation color space.

Version:
  $Revision: 1.4 $
Author:
  Ben Litchfield

Field Summary
`static String` | `NAME` The name of this color space.

Constructor Summary
`PDSeparation()` Constructor.
`PDSeparation(COSArray separation)` Constructor.

Method Summary
`ColorModel` | `createColorModel(int bpc)` Create a Java color model for this colorspace.
`ColorSpace` | `createColorSpace()` Create a Java colorspace for this colorspace.
`PDColorSpace` | `getAlternateColorSpace()` This will get the alternate color space for this separation.
`String` | `getColorantName()` This will get the separation name.
`String` | `getName()` This will return the name of the color space.
`int` | `getNumberOfComponents()` This will get the number of components that this color space is made up of.
`PDFunction` | `getTintTransform()` This will get the tint transform function.
`void` | `setAlternateColorSpace(PDColorSpace cs)` This will set the alternate color space.
`void` | `setColorantName(String name)` This will set the separation name.
`void` | `setTintTransform(PDFunction tint)` This will set the tint transform function.

Methods inherited from class org.pdfbox.pdmodel.graphics.color.PDColorSpace
`getCOSObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAME

    public static final String NAME

  The name of this color space.

  See Also:
    Constant Field Values

Constructor Detail

### PDSeparation

    public PDSeparation()

  Constructor.

### PDSeparation

    public PDSeparation(COSArray separation)

  Constructor.

Parameters:
  `separation` - The array containing all separation information.

Method Detail

### getName

    public String getName()

  This will return the name of the color space. For a PDSeparation object this will always return "Separation"

  Specified by:
    `getName` in class `PDColorSpace`
  Returns:
    The name of the color space.

### getNumberOfComponents

    public int getNumberOfComponents()
                              throws IOException

  This will get the number of components that this color space is made up of.

  Specified by:
    `getNumberOfComponents` in class `PDColorSpace`
  Returns:
    The number of components in this color space.
  Throws:
    `IOException` - If there is an error getting the number of color components.

### createColorSpace

    public ColorSpace createColorSpace()
                                throws IOException

  Create a Java colorspace for this colorspace.

  Specified by:
    `createColorSpace` in class `PDColorSpace`
  Returns:
    A color space that can be used for Java AWT operations.
  Throws:
    `IOException` - If there is an error creating the color space.

### createColorModel

    public ColorModel createColorModel(int bpc)
                                throws IOException

  Create a Java color model for this colorspace.

  Specified by:
    `createColorModel` in class `PDColorSpace`
  Parameters:
    `bpc` - The number of bits per component.
  Returns:
    A color model that can be used for Java AWT operations.
  Throws:
    `IOException` - If there is an error creating the color model.

### getColorantName

    public String getColorantName()

  This will get the separation name.

  Returns:
    The name in the separation.

### setColorantName

    public void setColorantName(String name)

  This will set the separation name.

  Parameters:
    `name` - The separation name.

### getAlternateColorSpace

    public PDColorSpace getAlternateColorSpace()
                                        throws IOException

  This will get the alternate color space for this separation.

  Returns:
    The alternate color space.
  Throws:
    `IOException` - If there is an error getting the alternate color space.

### setAlternateColorSpace

    public void setAlternateColorSpace(PDColorSpace cs)

  This will set the alternate color space.

  Parameters:
    `cs` - The alternate color space.

### getTintTransform

    public PDFunction getTintTransform()
                                throws IOException

  This will get the tint transform function.

  Returns:
    The tint transform function.
  Throws:
    `IOException` - If there is an error creating the PDFunction

### setTintTransform

    public void setTintTransform(PDFunction tint)

  This will set the tint transform function.

  Parameters:
    `tint` - The tint transform function.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD